at.chipkarte.client.prop.soap

## Class EkvkPatient

- Object
- - at.chipkarte.client.prop.soap.EkvkPatient

-     public class EkvkPatient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EkvkPatient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEkvkNummer()` EKVK Nummer des Patienten.
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getGeschlechtscode()` Geschlechtscode des Patienten.
    `String` | `getVorname()` Vorname des Patienten.
    `String` | `getZuname()` Zuname des Patienten.
    `void` | `setEkvkNummer(String ekvkNummer)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlechtscode(String geschlechtscode)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EkvkPatient

          public EkvkPatient()

  - ### Method Detail

    - #### getVorname

          public String getVorname()

      Vorname des Patienten.
      Format: max. 70-stellig.
      Returns:
        Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      Zuname des Patienten.
      Format: max. 70-stellig.
      Returns:
        Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getGeschlechtscode

          public String getGeschlechtscode()

      Geschlechtscode des Patienten.
      br/>Wertebereich: siehe `Geschlecht`. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Returns:
        Geschlecht

    - #### setGeschlechtscode

          public void setGeschlechtscode(String geschlechtscode)

    - #### getEkvkNummer

          public String getEkvkNummer()

      EKVK Nummer des Patienten.
      Format: 20-stellig.
      Returns:
        EkvkNummer

    - #### setEkvkNummer

          public void setEkvkNummer(String ekvkNummer)